#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libosinfo
Version		:	v1.10.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A library for managing OS information for virtualization

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://libosinfo.org/
			#https://gitlab.com/libosinfo/libosinfo/-/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gettext
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	hwdata-devel
BuildRequires	:	libsoup
BuildRequires	:	libxml2-devel	>= 2.6.0
BuildRequires	:	libxslt
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala

Requires	:	hwdata
#-----------------------------------------------------------------------------
%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.LIB NEWS README
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-query
%{_bindir}/osinfo-install-script
%{_libdir}/%{name}-1.0.so.*
%{_libdir}/girepository-1.0/Libosinfo-1.0.typelib
%{_mandir}/man1/osinfo-detect.1.gz
%{_mandir}/man1/osinfo-query.1.gz
%{_mandir}/man1/osinfo-install-script.1.gz

#=============================================================================
%package		devel
Summary		:	libraries, includes, etc. to compile with the libosinfo library

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	glib-devel

#-----------------------------------------------------------------------------
%description		devel
libosinfo is a library that allows virtualization provisioning
tools to determine the optimal device settings for a
hypervisor/operating system combination.
 
Libraries, includes, etc. to compile with the libosinfo library

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0/osinfo/*.h
%{_libdir}/%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Libosinfo-1.0.gir
%{_datadir}/gtk-doc/html/Libosinfo/*.html
%{_datadir}/gtk-doc/html/Libosinfo/*.png
%{_datadir}/gtk-doc/html/Libosinfo/style.css
%{_datadir}/vala/vapi/%{name}-1.0.deps
%{_datadir}/vala/vapi/%{name}-1.0.vapi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D with-pci-ids-path=/usr/share/hwdata		\
	-D with-usb-ids-path=/usr/share/hwdata		\
	-D enable-gtk-doc=true				\
	-D enable-introspection=enabled 		\
	-D enable-vala=enabled				\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install


%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
